Update Meter
curl --request PUT \
--url https://connect.withvayu.com/meters/{meterId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"eventName": "<string>"
}
'import requests
url = "https://connect.withvayu.com/meters/{meterId}"
payload = {
"name": "<string>",
"eventName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', eventName: '<string>'})
};
fetch('https://connect.withvayu.com/meters/{meterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meter": {
"name": "<string>",
"eventName": "<string>",
"aggregationMethod": {
"field": "<string>",
"instanceKey": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"filter": {
"conditions": [
{
"criterions": [
{
"field": "<string>",
"value": "<string>"
}
]
}
]
}
}
}{
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"params": [
{
"param": "<string>",
"message": "<string>"
}
]
}{
"type": "authentication_error",
"code": "authentication_failed",
"message": "<string>"
}{
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "<string>"
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"type": "api_error",
"code": "internal_error",
"message": "<string>"
}Meters
Update Meter
Update a Meter by id.
PUT
/
meters
/
{meterId}
Update Meter
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
The name of the meter
Minimum string length:
1The name of the event that the meter is tracking.
Minimum string length:
1The aggregation method defines how the events should be summed to represent a usage value.
Show child attributes
Show child attributes
The filter to apply to the events to be included in the meter. The filter object contains an array of Conditions, each condition represents a logical OR statement. Each condition contains an array of Criteria (criterions), each criterion represents a logical AND statement.
Show child attributes
Show child attributes
Response
RequestSuccess
Show child attributes
Show child attributes
⌘I
